Bug 18816 - qcad - cannot navigate to files, save new files or "open with" when using the Plasma file browser.
Summary: qcad - cannot navigate to files, save new files or "open with" when using the...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High major
Target Milestone: ---
Assignee: KDE maintainers
QA Contact:
URL:
Whiteboard: MGA7TOO
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-29 12:59 CEST by Barry Jackson
Modified: 2021-02-15 22:57 CET (History)
7 users (show)

See Also:
Source RPM: qcad
CVE:
Status comment:


Attachments
File browser default setting screenshot (151.39 KB, image/png)
2018-03-19 13:31 CET, Barry Jackson
Details
bug 21923 then and now (44.27 KB, image/png)
2018-03-19 15:37 CET, Pierre Fortin
Details

Description Barry Jackson 2016-06-29 12:59:56 CEST
The file navigation dialog in qcad fails to navigate.

I have a directory full of .dxf files created in an old static version of qcad which I sill use. These also open in librecad.

Attempting to use our packaged qcad fails as file -> open opens a file browser that does not show any files or folders, so it's just impossible to move around and find a file to open.

Finding a file in dolphin and using "open with" opens qcad but not with the selected file - just a blank "untitled1"

So AFAICT this package is not useable.
Marja Van Waes 2016-06-29 14:07:09 CEST

CC: (none) => marja11
Source RPM: (none) => qcad
Assignee: bugsquad => loginov_alex

Comment 1 Barry Jackson 2017-02-21 00:03:05 CET
I have tested a build of the most recent version with the intention of updating it, however this bug is still there.

So, I have opened a bug report upstream here:
http://www.qcad.org/bugtracker/index.php?do=details&task_id=1546
Comment 2 Barry Jackson 2017-02-27 16:48:15 CET
Upstream have replied and are blaming Mageia's 'default' file navigation dialog for this.

They also pointed to a configuration option in qcad that switches to it's own built-in qt file navigator (which I doubt any normal user would find). That works fine, however I wonder if we could set this as default in the package somehow?

Also why does our 'system' file navigator NOT work?

Open with -> Qcad still does not work from Dolphin so maybe this is a plasma5 issue?

I have not tested in another D.E.

cc'ing neoclust

CC: (none) => mageia

Comment 3 Barry Jackson 2017-02-28 15:40:14 CET
@neoclust
I have tested in LXDE and the "system" file dialog works correctly.

This has always failed under KDE or plasma5 whenever I have tested our packaged version in the past.

I have an upstream static build that I have continued to use, and as it does what I need it has never really been an issue for me, but it does need to be fixed somehow.

@Alex ping?
Alex Loginov 2017-10-02 01:09:41 CEST

CC: (none) => loginov_alex
Assignee: loginov_alex => bugsquad

Comment 4 Barry Jackson 2017-11-05 16:54:15 CET
*** Bug 21983 has been marked as a duplicate of this bug. ***

CC: (none) => pf

Comment 5 Marja Van Waes 2018-03-14 09:14:02 CET
@ Barry

Is this bug still valid?

I had missed that it was "assigned back" to BugSquad instead of being assigned to BugSquad from the beginning, so I assumed this report was waiting for additional information :-(

If it is only valid in Plasma, this bug should be assigned to kde@ml.m.o 
Else to pkg-bugs@ml.m.o (all packagers collectively), there is no longer a registered maintainer for qcad.

Keywords: (none) => NEEDINFO
CC: (none) => kde

Comment 6 Pierre Fortin 2018-03-14 14:40:15 CET
If we wait long enough...  appears resolved now.

[Trying to change Status to WorksForMe; but only {New,Unconfirmed} available..?]
Comment 7 Pierre Fortin 2018-03-14 14:50:43 CET
Sorry... forgot to check what I reported...
Opening QCAD directly, it opens and its File Open works.
Using Dolphin's 'Open with...' starts QCAD; but does not open the file, or present the File menu. At least the file can now be opened with QCAD's File menu.

qcad's man page reads:
  SYNOPSIS
         qcad [ options ] [ files ]
but it acts like:
  SYNOPSIS
         qcad

At least the File menu works now.
Comment 8 Barry Jackson 2018-03-19 13:31:03 CET
Created attachment 10059 [details]
File browser default setting screenshot

As far I can see there has been no change to this. The system file browser in plasma5 in Cauldron still does not work, and it is still set by default in the settings for a new user as shown in the attached screen shot.
Comment 9 Pierre Fortin 2018-03-19 15:37:52 CET
Created attachment 10060 [details]
bug 21923 then and now

Maybe Bug 21983 was not a duplicate then...  No idea what "fixed" that one; but what I reported is no longer an issue for me on mga6.

Also, my version of qcad is 3.14.2.0 (3.14.2) -- its Application Preferences is slightly different:  Barry's shows File->Open/Save while mine shows File->Load/Save, so there is a difference.
Comment 10 Barry Jackson 2018-03-19 16:03:50 CET
This bug is against Cauldron and my screenshot is from Cauldron which is at
qcad-3.19.2.3-1.mga7.x86_64
Comment 11 Pierre Fortin 2018-03-19 16:17:59 CET
"Maybe Bug 21983 was not a duplicate then..."  :)
Comment 12 Barry Jackson 2018-03-22 01:01:27 CET
(In reply to Pierre Fortin from comment #11)
> "Maybe Bug 21983 was not a duplicate then..."  :)

I would say that it is/was as I have seen this issue for years.
Are you sure that you are using the system file chooser and not the built-in?

See https://bugs.mageia.org/attachment.cgi?id=10059. 

Using the built-in fixes it.

Added MGA6TOO to whiteboard.

Whiteboard: (none) => MGA6TOO

Comment 13 Pierre Fortin 2018-03-22 02:28:36 CET
Good catch...  never noticed this was even a choice.  I don't recall looking at that part of the App Prefs; but can't swear I did/didn't...  Will keep this in mind for other apps...
Comment 14 Marja Van Waes 2018-03-25 18:34:18 CEST
Assigning to the KDE maintainers, because it is only reported to be a problem with the Plasma file browser.

Summary: qcad - cannot navigate to files - cannot "open with" it. => qcad - cannot navigate to files - cannot "open with" it when using the Plasma file browser.
Assignee: bugsquad => kde
Keywords: NEEDINFO => (none)

Comment 15 Barry Jackson 2020-01-16 23:07:49 CET
This still present in current Cauldron, and the default file chooser is still the system one which fails in plasma5.

Changed whiteboard to MGA7TOO.

Whiteboard: MGA6TOO => MGA7TOO

Comment 16 Barry Jackson 2020-09-30 22:57:06 CEST
This is still present in current Cauldron, and the default file chooser is still the system one which fails in plasma5.

"Open in Qcad" from Dolphin fails irrespective of which file chooser is set in Qcad.

qcad <filename> also fails.

Four years and counting... ;)
Comment 17 Morgan Leijström 2020-10-03 15:14:42 CEST
Confirming on mga7 plasma.  (Never used Qcad, installed just for this bug)

In Qcad the default file dialog do not work, actually it display the fildrs in left pane, but the file window do not display any files at all, nor subfolders. Weird.

The built-in file chooser works, but for users that is not an obvious possibility, so yes the bug seem trivial but have severe usability result.

I believe it is a different bug that "qcad <filename>" fails, which in turn i think is the cause that also double clicking the file in any file browser fail.

Sidenote: starting from console, i see it is looking for translations, but we seem not to package them.  Strange thing is that menus contain a *mix* of Swedish and English.

Severity: critical => major
CC: (none) => fri

Comment 18 Barry Jackson 2021-02-15 21:41:38 CET
This is still a major issue in Mga8.

I just spent half an hour trying to save a new drawing until I remembered this issue and searched the menus to find where to switch to the inbuilt file management.

Any new user would have no chance.
Barry Jackson 2021-02-15 21:43:31 CET

Summary: qcad - cannot navigate to files - cannot "open with" it when using the Plasma file browser. => qcad - cannot navigate to files, save new files or "open with" when using the Plasma file browser.

Aurelien Oudelet 2021-02-15 22:57:33 CET

Priority: Normal => High
CC: (none) => ouaurelien


Note You need to log in before you can comment on or make changes to this bug.